package com.example.generic;

import com.example.domain.Box;

public class TestGen {

	public static void main(String[] args) {
		// 1. create object Gen to handle integers
		Gen<Integer> iOb = new Gen<Integer>(88);
		iOb.showType();

		// 2. create another object Gen to handle text
		Gen<String> sOb = new Gen<String>("hello");
		sOb.showType();
		
		// 3. create yet another object Gen to handle Box
		Gen<Box> bOb = new Gen<Box>(new Box());
		bOb.showType();
	}

}
